API Documentation |
GridColumn

Package | org.alivepdf.data
Class | public final class GridColumn
Inheritance | GridColumn Object

Public Properties

| Property | Defined By
--- | --- | ---
|  | _cellAlign : String | GridColumn
|  | cellAlign : String [read-only] | GridColumn
|  | _dataField : String | GridColumn
|  | dataField : String [read-only] | GridColumn
|  | _headerAlign : String | GridColumn
|  | headerAlign : String [read-only] | GridColumn
|  | _headerText : String | GridColumn
|  | headerText : String [read-only] | GridColumn
|  | _width : Number | GridColumn
|  | width : int [read-only] | GridColumn

Public Methods

| Method | Defined By
--- | --- | ---
|  | GridColumn(headerText:String, dataField:String, width:Number, headerAlign:String = L, cellAlign:String = L) | GridColumn

Property Detail

_cellAlign | property

`public var _cellAlign:String`

_dataField | property |

`public var _dataField:String`

_headerAlign | property |

`public var _headerAlign:String`

_headerText | property |

`public var _headerText:String`

_width | property |

`public var _width:Number`

cellAlign | property |

`cellAlign:String` [read-only]

Implementation
`public function get cellAlign():String`

dataField | property |

`dataField:String` [read-only]

Implementation
`public function get dataField():String`

headerAlign | property |

`headerAlign:String` [read-only]

Implementation
`public function get headerAlign():String`

headerText | property |

`headerText:String` [read-only]

Implementation
`public function get headerText():String`

width | property |

`width:int` [read-only]

Implementation
`public function get width():int`
Constructor Detail

GridColumn | () | Constructor

`public function GridColumn(headerText:String, dataField:String, width:Number, headerAlign:String = L, cellAlign:String = L)`

Parameters

| `headerText:String`
| `dataField:String`
| `width:Number`
| `headerAlign:String` (default = `L`)``
| `cellAlign:String` (default = `L`)``

Mon Oct 17 2011, 09:13 PM -04:00